Bug 1249348 - SELinux is preventing systemd-localed from write, open access on the file memfd:sd-system-systemd-localed.
SELinux is preventing systemd-localed from write, open access on the file mem...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
24
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:b149621decb0c4435291cde2cd0...
:
Depends On:
Blocks: 1254238
  Show dependency treegraph
 
Reported: 2015-08-01 17:30 EDT by Igor Gnatenko
Modified: 2016-07-07 05:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-07 05:59:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-08-01 17:30:53 EDT
Description of problem:
kdbus=1
SELinux is preventing systemd-localed from write, open access on the file memfd:sd-system-systemd-localed.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that systemd-localed should be allowed write open access on the memfd:sd-system-systemd-localed file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep systemd-localed /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:systemd_localed_t:s0
Target Context                system_u:object_r:tmpfs_t:s0
Target Objects                memfd:sd-system-systemd-localed [ file ]
Source                        systemd-localed
Source Path                   systemd-localed
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-138.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.2.0-0.rc4.git4.1.fc24.x86_64 #1
                              SMP Fri Jul 31 16:32:22 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-08-01 23:12:42 MSK
Last Seen                     2015-08-01 23:12:42 MSK
Local ID                      d76d3ae1-b268-4820-b8e5-53008b073b0f

Raw Audit Messages
type=AVC msg=audit(1438459962.315:3170870): avc:  denied  { write open } for  pid=22674 comm="systemd-localed" name="memfd:sd-system-systemd-localed" dev="tmpfs" ino=3690496 scontext=system_u:system_r:systemd_localed_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=file permissive=1


Hash: systemd-localed,systemd_localed_t,tmpfs_t,file,write,open

Version-Release number of selected component:
selinux-policy-3.13.1-138.fc24.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.2.0-0.rc4.git4.1.fc24.x86_64
type:           libreport
Comment 1 Ömer Fadıl Usta 2015-10-29 14:17:08 EDT
Description of problem:
after enabling kdbus

Version-Release number of selected component:
selinux-policy-3.13.1-156.fc24.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.3.0-0.rc7.git1.1.fc24.x86_64
type:           libreport
Comment 2 Jan Kurik 2016-02-24 10:50:27 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Igor Gnatenko 2016-07-07 05:59:58 EDT
kdbus issue

Note You need to log in before you can comment on or make changes to this bug.